Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libyaml-cpp0_6-0.6.1-lp151.3.3 RPM for armv7hl

From OpenSuSE Ports Leap 15.1 for armv7hl

Name: libyaml-cpp0_6 Distribution: openSUSE Leap 15.1
Version: 0.6.1 Vendor: openSUSE
Release: lp151.3.3 Build date: Tue Apr 23 02:58:49 2019
Group: Development/Libraries/C and C++ Build host: armbuild19
Size: 416273 Source RPM: yaml-cpp-0.6.1-lp151.3.3.src.rpm
Packager: https://bugs.opensuse.org
Url: https://github.com/jbeder/yaml-cpp/
Summary: YAML parser and emitter in C++
A YAML parser and emitter in C++ matching the YAML 1.2 spec.

Provides

Requires

License

MIT

Changelog

* Wed Feb 14 2018 pmonrealgonzalez@suse.com
  - Security fix: [bsc#1032144, CVE-2017-5950]
    * Stack overflow in SingleDocParser::HandleNode() function
    * Added patch yaml-cpp-CVE-2017-5950.patch
* Fri Feb 02 2018 tchvatal@suse.com
  - Update to 0.6.1:
    * Just brownpaperbag over previous release
* Wed Jan 31 2018 pmonrealgonzalez@suse.com
  - Update to version 0.6.0
    * yaml-cpp no longer depends on Boost
    * Requires C++11
    * Some bug fixes and performance improvements
  - Dropped patch yaml-cpp-disable-bundled-gmock.patch since it can
    be configured with the option YAML_CPP_BUILD_TESTS
* Thu Feb 02 2017 adam.majer@suse.de
  - use individual libboost-*-devel packages instead of boost-devel
* Mon Jul 11 2016 tchvatal@suse.com
  - Fix building with updated cmake and wrong -fPIE parsing:
    * yaml-cpp-disable-bundled-gmock.patch
    * yaml-cpp-fix-pie.patch
* Fri Feb 12 2016 mpluskal@suse.com
  - Update to 0.5.3
    * Bugfix release.
    * This will be the last release that does not require C++11.
  - Drop upstreamed fix-node-regression.patch
  - Small spec file cleanups
* Fri Nov 13 2015 tchvatal@suse.com
  - Add patch to fix wrong node behaviour in 0.5.2 bnc#954749:
    * fix-node-regression.patch
* Sat Aug 01 2015 rpm@fthiessen.de
  - Update version 0.5.2
    * Some bugfixes
  - Updated spec file
    * Using cmake macro
    * Updated copyright.
* Tue Jul 02 2013 asterios.dramis@gmail.com
  - Added boost-devel in yaml-cpp-devel Requires: (some yaml-cpp headers require
    boost headers).
* Sat Jun 29 2013 i@marguerite.su
  - update version 0.5.1
    * a bug fix release for the new API

Files

/usr/lib/libyaml-cpp.so.0.6
/usr/lib/libyaml-cpp.so.0.6.0
/usr/share/doc/packages/libyaml-cpp0_6
/usr/share/doc/packages/libyaml-cpp0_6/LICENSE


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Sep 9 12:01:26 2021